import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class RariContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    rariFundManager({ address, network }: ContractOpts): import("./ethers").RariFundManager;
    rariGovernanceTokenDistributor({ address, network }: ContractOpts): import("./ethers").RariGovernanceTokenDistributor;
    rariUniswapTokenDistributor({ address, network }: ContractOpts): import("./ethers").RariUniswapTokenDistributor;
}
export type { RariFundManager } from './ethers';
export type { RariGovernanceTokenDistributor } from './ethers';
export type { RariUniswapTokenDistributor } from './ethers';
